Index: inc/bf_sd/drawdoc.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sd/drawdoc.hxx,v
retrieving revision 1.5
retrieving revision 1.5.10.1
diff -u -r1.5 -r1.5.10.1
--- inc/bf_sd/drawdoc.hxx	7 Apr 2006 13:37:44 -0000	1.5
+++ inc/bf_sd/drawdoc.hxx	27 Apr 2006 12:06:47 -0000	1.5.10.1
@@ -169,7 +169,7 @@
 	BOOL			    bPresLockedPages;
 	BOOL			    bPresAlwaysOnTop;
 	BOOL                bPresFullScreen;
-	ULONG			    nPresPause;
+	sal_uInt32		    nPresPause;
 	BOOL			    bPresShowLogo;
 	BOOL			    bOnlineSpell;
 	BOOL			    bHideSpell;
@@ -177,7 +177,7 @@
     BOOL                bSummationOfParagraphs;
 	bool				mbStartWithPresentation;		// is set to true when starting with command line parameter -start
 
-	ULONG			    nPresFirstPage;
+	sal_uInt32		    nPresFirstPage;
 	LanguageType	    eLanguage;
 	LanguageType	    eLanguageCJK;
 	LanguageType	    eLanguageCTL;
@@ -363,8 +363,8 @@
 	void                SetAnimationAllowed (BOOL bAllowed) { bAnimationAllowed = bAllowed; }
 	BOOL                IsAnimationAllowed() const { return bAnimationAllowed; }
 
-	void                SetPresPause( ULONG nSecondsToWait ) { nPresPause = nSecondsToWait; }
-	ULONG               GetPresPause() const { return nPresPause; }
+	void                SetPresPause( sal_uInt32 nSecondsToWait ) { nPresPause = nSecondsToWait; }
+	sal_uInt32          GetPresPause() const { return nPresPause; }
 
 	void                SetPresShowLogo( BOOL bShowLogo ) { bPresShowLogo = bShowLogo; }
 	BOOL                IsPresShowLogo() const { return bPresShowLogo; }
Index: inc/bf_sfx2/dispatch.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sfx2/dispatch.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- inc/bf_sfx2/dispatch.hxx	9 Sep 2005 12:12:58 -0000	1.3
+++ inc/bf_sfx2/dispatch.hxx	27 Apr 2006 14:55:06 -0000	1.3.72.1
@@ -139,7 +139,7 @@
 	DECL_LINK( PostMsgHandler, SfxRequest * );
 
 	int 				Call_Impl( SfxShell& rShell, const SfxSlot &rSlot, SfxRequest &rReq, BOOL bRecord );
-	ULONG               _Update_Impl( BOOL,BOOL,BOOL,SfxMenuBarManager*,SfxWorkWindow*);
+	sal_uInt32          _Update_Impl( BOOL,BOOL,BOOL,SfxMenuBarManager*,SfxWorkWindow*);
 	void				CollectTools_Impl(SfxWorkWindow*);
 
 protected:
@@ -234,8 +234,8 @@
 
 	BOOL                IsAllowed( USHORT nSlot ) const;
     ::com::sun::star::frame::XDispatch*          GetDispatchInterface( const String& );
-	void				SetDisableFlags( ULONG nFlags );
-	ULONG				GetDisableFlags() const;
+	void				SetDisableFlags( sal_uInt32 nFlags );
+	sal_uInt32			GetDisableFlags() const;
 
 #if _SOLAR__PRIVATE
 	BOOL				HasSlot_Impl( USHORT );
Index: inc/bf_sfx2/docinf.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sfx2/docinf.hxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- inc/bf_sfx2/docinf.hxx	9 Sep 2005 12:14:19 -0000	1.5
+++ inc/bf_sfx2/docinf.hxx	27 Apr 2006 15:36:59 -0000	1.5.72.1
@@ -130,7 +130,7 @@
 	String   aDefaultTarget;
 	String   aReloadURL;
 	BOOL     bReloadEnabled;
-	ULONG    nReloadSecs;
+	sal_uInt32 nReloadSecs;
 
 	DateTime aTemplateDate;	// Stamp der Dokumentvorlage
 
Index: inc/bf_sfx2/viewfrm.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sfx2/viewfrm.hxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- inc/bf_sfx2/viewfrm.hxx	9 Sep 2005 12:45:26 -0000	1.5
+++ inc/bf_sfx2/viewfrm.hxx	28 Apr 2006 08:58:41 -0000	1.5.70.1
@@ -112,7 +112,7 @@
 							SFX_DECL_INTERFACE(SFX_INTERFACE_SFXVIEWFRM);
 
 							SfxViewFrame() {}
-							SfxViewFrame( SfxBindings&, SfxFrame*, SfxObjectShell *pDoc=0, ULONG nType = 0 );
+							SfxViewFrame( SfxBindings&, SfxFrame*, SfxObjectShell *pDoc=0, sal_uInt32 nType = 0 );
 //STRIP001 							SfxViewFrame(SfxObjectShell&, SfxBindings&, SfxFrame*p=0, ULONG nType = 0);
 //STRIP001 							SfxViewFrame(
 //STRIP001 								const SfxViewFrame &, SfxBindings &, SfxFrame *pFrame);
Index: inc/bf_starmath/document.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_starmath/document.hxx,v
retrieving revision 1.4
retrieving revision 1.4.70.1
diff -u -r1.4 -r1.4.70.1
--- inc/bf_starmath/document.hxx	9 Sep 2005 12:47:58 -0000	1.4
+++ inc/bf_starmath/document.hxx	27 Apr 2006 14:01:41 -0000	1.4.70.1
@@ -83,15 +83,15 @@
 
 #define HINT_DATACHANGED	1004
 
-#define SM30BIDENT	 ((ULONG)0x534D3033L)
-#define SM30IDENT	 ((ULONG)0x30334d53L)
-#define SM304AIDENT  ((ULONG)0x34303330L)
-#define SM30VERSION  ((ULONG)0x00010000L)
-#define SM50VERSION	 ((ULONG)0x00010001L)	//Unterschied zur SM30VERSION ist
+#define SM30BIDENT	 ((sal_uInt32)0x534D3033L)
+#define SM30IDENT	 ((sal_uInt32)0x30334d53L)
+#define SM304AIDENT  ((sal_uInt32)0x34303330L)
+#define SM30VERSION  ((sal_uInt32)0x00010000L)
+#define SM50VERSION	 ((sal_uInt32)0x00010001L)	//Unterschied zur SM30VERSION ist
 											//der neue Border im Format.
 
-#define FRMIDENT	((ULONG)0x03031963L)
-#define FRMVERSION	((ULONG)0x00010001L)
+#define FRMIDENT	((sal_uInt32)0x03031963L)
+#define FRMVERSION	((sal_uInt32)0x00010001L)
 
 #define STAROFFICE_XML	"StarOffice XML (Math)"
 #define MATHML_XML		"MathML XML (Math)"
Index: inc/bf_svx/editeng.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_svx/editeng.hxx,v
retrieving revision 1.5
retrieving revision 1.5.10.2
diff -u -r1.5 -r1.5.10.2
--- inc/bf_svx/editeng.hxx	7 Apr 2006 13:39:00 -0000	1.5
+++ inc/bf_svx/editeng.hxx	27 Apr 2006 12:27:00 -0000	1.5.10.2
@@ -196,19 +196,19 @@
 
 	String			GetText( LineEnd eEnd = LINEEND_LF ) const;
 	String			GetText( const ESelection& rSelection, const LineEnd eEnd = LINEEND_LF ) const;
-	ULONG			GetTextLen() const;
-	ULONG			GetTextHeight() const;
-	ULONG			CalcTextWidth();
+	sal_uInt32		GetTextLen() const;
+	sal_uInt32		GetTextHeight() const;
+	sal_uInt32		CalcTextWidth();
 
 	String 			GetText( USHORT nParagraph ) const;
 	xub_StrLen			GetTextLen( USHORT nParagraph ) const;
-	ULONG			GetTextHeight( USHORT nParagraph ) const;
+	sal_uInt32		GetTextHeight( USHORT nParagraph ) const;
 
 	USHORT 			GetParagraphCount() const;
 
 	USHORT			GetLineCount( USHORT nParagraph ) const;
 	xub_StrLen		GetLineLen( USHORT nParagraph, USHORT nLine ) const;
-	ULONG			GetLineHeight( USHORT nParagraph, USHORT nLine = 0 );
+	sal_uInt32		GetLineHeight( USHORT nParagraph, USHORT nLine = 0 );
 	USHORT			GetFirstLineOffset( USHORT nParagraph );
 	ParagraphInfos 	GetParagraphInfos( USHORT nPara );
 	USHORT			FindParagraph( long nDocPosY );
@@ -306,8 +306,8 @@
 	BOOL			IsFlatMode() const;
 //STRIP001 	void			SetFlatMode( BOOL bFlat );
 
-	void			SetControlWord( ULONG nWord );
-	ULONG			GetControlWord() const;
+	void			SetControlWord( sal_uInt32 nWord );
+	sal_uInt32		GetControlWord() const;
 
 	void			QuickSetAttribs( const SfxItemSet& rSet, const ESelection& rSel );
 	void 			QuickRemoveCharAttribs( USHORT nPara, USHORT nWhich = 0 );
@@ -400,7 +400,7 @@
 	virtual	void	ParagraphHeightChanged( USHORT nPara );
 
 	// #101498#
-	virtual void	DrawingText( const Point& rStartPos, const String& rText, USHORT nTextStart, USHORT nTextLen, const long* pDXArray, const SvxFont& rFont, USHORT nPara, xub_StrLen nIndex, BYTE nRightToLeft);
+	virtual void	DrawingText( const Point& rStartPos, const String& rText, USHORT nTextStart, USHORT nTextLen, const sal_Int32* pDXArray, const SvxFont& rFont, USHORT nPara, xub_StrLen nIndex, BYTE nRightToLeft);
 
 	virtual String	GetUndoComment( USHORT nUndoId ) const;
 	virtual BOOL	FormattingParagraph( USHORT nPara );
Index: inc/bf_svx/flditem.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_svx/flditem.hxx,v
retrieving revision 1.6
retrieving revision 1.6.10.1
diff -u -r1.6 -r1.6.10.1
--- inc/bf_svx/flditem.hxx	7 Apr 2006 13:40:04 -0000	1.6
+++ inc/bf_svx/flditem.hxx	27 Apr 2006 10:24:44 -0000	1.6.10.1
@@ -144,7 +144,7 @@
 
 class SvxDateField : public SvxFieldData
 {
-	ULONG					nFixDate;
+	sal_uInt32				nFixDate;
 	SvxDateType				eType;
 	SvxDateFormat			eFormat;
 
@@ -156,7 +156,7 @@
 								SvxDateType eType = SVXDATETYPE_VAR,
 								SvxDateFormat eFormat = SVXDATEFORMAT_STDSMALL );
 
-	ULONG					GetFixDate() const { return nFixDate; }
+	sal_uInt32				GetFixDate() const { return nFixDate; }
 	void					SetFixDate( const Date& rDate ) { nFixDate = rDate.GetDate(); }
 
 	SvxDateType				GetType() const { return eType; }
@@ -283,7 +283,7 @@
 class SvxExtTimeField : public SvxFieldData
 {
 private:
-	ULONG					nFixTime;
+	sal_uInt32				nFixTime;
 	SvxTimeType				eType;
 	SvxTimeFormat			eFormat;
 
@@ -294,7 +294,7 @@
 								SvxTimeType eType = SVXTIMETYPE_VAR,
 								SvxTimeFormat eFormat = SVXTIMEFORMAT_STANDARD );
 
-	ULONG					GetFixTime() const { return nFixTime; }
+	sal_uInt32				GetFixTime() const { return nFixTime; }
 	void					SetFixTime( const Time& rTime ) { nFixTime = rTime.GetTime(); }
 
 	SvxTimeType				GetType() const { return eType; }
Index: inc/bf_svx/outliner.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_svx/outliner.hxx,v
retrieving revision 1.5
retrieving revision 1.5.10.1
diff -u -r1.5 -r1.5.10.1
--- inc/bf_svx/outliner.hxx	7 Apr 2006 13:40:55 -0000	1.5
+++ inc/bf_svx/outliner.hxx	28 Apr 2006 08:58:42 -0000	1.5.10.1
@@ -416,7 +416,7 @@
 
     const SvxFont&  rFont;
 
-    const long*     pDXArray;
+    const sal_Int32*     pDXArray;
 
 	// #101498# BiDi level needs to be transported, too.
 	BYTE			mnBiDiLevel;
@@ -425,7 +425,7 @@
 	sal_Bool IsRTL() const;
 
     DrawPortionInfo( const Point& rPos, const String& rTxt, USHORT nTxtStart, USHORT nTxtLen, 
-		const SvxFont& rFnt, USHORT nPar, xub_StrLen nIdx, const long* pDXArr, BYTE nBiDiLevel) 
+		const SvxFont& rFnt, USHORT nPar, xub_StrLen nIdx, const sal_Int32* pDXArr, BYTE nBiDiLevel) 
         :	rStartPos(rPos), rText(rTxt), rFont(rFnt), nPara(nPar), nIndex(nIdx), 
 			pDXArray(pDXArr), mnBiDiLevel(nBiDiLevel)
 	    {
@@ -795,7 +795,7 @@
 
 	// #101498#
 	virtual void    DrawingText( const Point& rStartPos, const String& rText, USHORT nTextStart, USHORT nTextLen, 
-						const long* pDXArray, const SvxFont& rFont,
+						const sal_Int32* pDXArray, const SvxFont& rFont,
 						USHORT nPara, xub_StrLen nIndex, BYTE nRightToLeft);
 
 	Size            CalcTextSize();
Index: inc/bf_svx/outlobj.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_svx/outlobj.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- inc/bf_svx/outlobj.hxx	9 Sep 2005 14:06:49 -0000	1.3
+++ inc/bf_svx/outlobj.hxx	28 Apr 2006 08:58:42 -0000	1.3.72.1
@@ -67,7 +67,7 @@
 
 	EditTextObject* 			pText;
 	USHORT* 					pDepthArr;
-	ULONG 						nCount;
+	sal_uInt32					nCount;
 	BOOL						bIsEditDoc;
 								OutlinerParaObject( USHORT nParaCount );
 
@@ -84,7 +84,7 @@
 	BOOL						IsVertical() const;
 	void						SetVertical( BOOL bVertical );
 
-	ULONG 						Count() const 					{ return nCount; }
+	sal_uInt32					Count() const 					{ return nCount; }
 	USHORT 						GetDepth( USHORT nPara ) const	{ return pDepthArr[nPara]; }
 	const EditTextObject& 		GetTextObject() const 			{ return *pText; }
 	void						ClearPortionInfo();
Index: inc/bf_svx/svdogrp.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_svx/svdogrp.hxx,v
retrieving revision 1.3
retrieving revision 1.3.70.1
diff -u -r1.3 -r1.3.70.1
--- inc/bf_svx/svdogrp.hxx	9 Sep 2005 14:39:54 -0000	1.3
+++ inc/bf_svx/svdogrp.hxx	28 Apr 2006 08:58:42 -0000	1.3.70.1
@@ -78,7 +78,7 @@
 	long						nShearWink0; // Letzter bekannter Shearwinkel des Originals
 
 	ImpSdrObjGroupLink*			pLink;
-	ULONG						nObjNum;     // des referenzierten Objekts
+	sal_uInt32					nObjNum;     // des referenzierten Objekts
 	USHORT						nPageNum;    // zum schnelleren wiederauffinden
 	FASTBOOL					bMasterPage; // Liegt im Referenzdokoment auf einer Masterpage
 
Index: inc/bf_svx/svxfont.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_svx/svxfont.hxx,v
retrieving revision 1.4
retrieving revision 1.4.10.1
diff -u -r1.4 -r1.4.10.1
--- inc/bf_svx/svxfont.hxx	7 Apr 2006 13:41:39 -0000	1.4
+++ inc/bf_svx/svxfont.hxx	27 Apr 2006 10:28:10 -0000	1.4.10.1
@@ -120,10 +120,10 @@
 //STRIP001 			   const USHORT nIdx = 0, const USHORT nLen = STRING_LEN ) const;
 
 	void QuickDrawText( OutputDevice *pOut, const Point &rPos, const String &rTxt,
-			   const USHORT nIdx = 0, const USHORT nLen = STRING_LEN, const long* pDXArray = NULL ) const;
+			   const USHORT nIdx = 0, const USHORT nLen = STRING_LEN, const sal_Int32* pDXArray = NULL ) const;
 
 	Size QuickGetTextSize( const OutputDevice *pOut, const String &rTxt,
-						 const USHORT nIdx, const USHORT nLen, long* pDXArray = NULL ) const;
+						 const USHORT nIdx, const USHORT nLen, sal_Int32* pDXArray = NULL ) const;
 
 //STRIP001 	void DrawPrev( OutputDevice* pOut, Printer* pPrinter,
 //STRIP001 				   const Point &rPos, const String &rTxt,
Index: inc/bf_sw/chpfld.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sw/chpfld.hxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- inc/bf_sw/chpfld.hxx	9 Sep 2005 15:50:44 -0000	1.5
+++ inc/bf_sw/chpfld.hxx	27 Apr 2006 14:44:04 -0000	1.5.72.1
@@ -80,7 +80,7 @@
 	BYTE nLevel;
 	String sTitle, sNumber, sPre, sPost;
 public:
-	SwChapterField(SwChapterFieldType*, ULONG nFmt = 0);
+	SwChapterField(SwChapterFieldType*, sal_uInt32 nFmt = 0);
 
 	void ChangeExpansion( const SwFrm*, const SwTxtNode*, BOOL bSrchNum = FALSE);
 
Index: inc/bf_sw/doc.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sw/doc.hxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- inc/bf_sw/doc.hxx	9 Sep 2005 15:54:17 -0000	1.6
+++ inc/bf_sw/doc.hxx	27 Apr 2006 10:48:48 -0000	1.6.70.1
@@ -940,7 +940,7 @@
 	void UnlockExpFlds()				{ if( nLockExpFld ) --nLockExpFld; }
 	sal_Bool IsExpFldsLocked() const		{ return 0 != nLockExpFld; }
 	SwDocUpdtFld& GetUpdtFlds() const 	{ return *pUpdtFlds; }
-	sal_Bool SetFieldsDirty( sal_Bool b, const SwNode* pChk = 0, sal_uInt32 nLen = 0 );
+	sal_Bool SetFieldsDirty( sal_Bool b, const SwNode* pChk = 0, ULONG nLen = 0 );
 
 	void SetFixFields( sal_Bool bOnlyTimeDate = sal_False,
 						const DateTime* pNewDateTime = 0 );
@@ -1383,7 +1383,7 @@
 											const SwTOXBase& rTOX,
 											const SfxItemSet* pSet = 0,
 											sal_Bool bExpand = sal_False );
-	const SwTOXBaseSection* InsertTableOf( sal_uInt32 nSttNd, sal_uInt32 nEndNd,
+	const SwTOXBaseSection* InsertTableOf( ULONG nSttNd, ULONG nEndNd,
 											const SwTOXBase& rTOX,
 											const SfxItemSet* pSet = 0											);
 	const SwTOXBase* GetCurTOX( const SwPosition& rPos ) const;
@@ -1475,7 +1475,7 @@
 	// loeschen geht nur, wenn die ::com::sun::star::chaos::Rule niemand benutzt!
 	sal_Bool DelNumRule( const String& rName );
 	String GetUniqueNumRuleName( const String* pChkStr = 0, sal_Bool bAutoNum = sal_True ) const;
-	void UpdateNumRule( const String& rName, sal_uInt32 nUpdPos );
+	void UpdateNumRule( const String& rName, ULONG nUpdPos );
 	void UpdateNumRule();	// alle invaliden Updaten
 	void ChgNumRuleFmts( const SwNumRule& rRule );
 //STRIP001 	sal_Bool ReplaceNumRule( const SwPosition& rPos, const String& rOldRule,
Index: inc/bf_sw/docufld.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sw/docufld.hxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- inc/bf_sw/docufld.hxx	9 Sep 2005 15:55:57 -0000	1.4
+++ inc/bf_sw/docufld.hxx	27 Apr 2006 14:44:05 -0000	1.4.72.1
@@ -158,7 +158,7 @@
 public:
 	SwPageNumberFieldType();
 
-	String& Expand( ULONG nFmt, short nOff, const String&, String& rRet ) const;
+	String& Expand( sal_uInt32 nFmt, short nOff, const String&, String& rRet ) const;
 	void ChangeExpansion( SwDoc* pDoc, USHORT nNum, USHORT nMax,
 							BOOL bVirtPageNum, const sal_Int16* pNumFmt = 0 );
 	inline sal_Int16 GetNumFormat() const { return nNumberingType; }
@@ -177,7 +177,7 @@
 
 public:
 	SwPageNumberField(SwPageNumberFieldType*, USHORT nSub = PG_RANDOM,
-					  ULONG nFmt = 0, short nOff = 0);
+					  sal_uInt32 nFmt = 0, short nOff = 0);
 
 	virtual String		Expand() const;
 	virtual SwField*	Copy() const;
@@ -216,7 +216,7 @@
 	String	aContent;
 
 public:
-	SwAuthorField(SwAuthorFieldType*, ULONG nFmt = 0);
+	SwAuthorField(SwAuthorFieldType*, sal_uInt32 nFmt = 0);
 
 	virtual String	 	Expand() const;
 	virtual SwField* 	Copy() const;
@@ -251,7 +251,7 @@
 	String aContent;
 
 public:
-	SwFileNameField(SwFileNameFieldType*, ULONG nFmt = 0);
+	SwFileNameField(SwFileNameFieldType*, sal_uInt32 nFmt = 0);
 
 	virtual String	 	Expand() const;
 	virtual SwField* 	Copy() const;
@@ -284,7 +284,7 @@
 class SwTemplNameField : public SwField
 {
 public:
-	SwTemplNameField(SwTemplNameFieldType*, ULONG nFmt = 0);
+	SwTemplNameField(SwTemplNameFieldType*, sal_uInt32 nFmt = 0);
 
 	virtual String	 	Expand() const;
 	virtual SwField* 	Copy() const;
@@ -304,7 +304,7 @@
 
 public:
 	SwDocStatFieldType(SwDoc*);
-	String 					Expand(USHORT nSubType, ULONG nFmt) const;
+	String 					Expand(USHORT nSubType, sal_uInt32 nFmt) const;
  	virtual SwFieldType*    Copy() const;
 
 	inline sal_Int16 		GetNumFormat() const 		{ return nNumberingType; }
@@ -321,7 +321,7 @@
 
 public:
 	SwDocStatField( SwDocStatFieldType*,
-					USHORT nSubType = 0, ULONG nFmt = 0);
+					USHORT nSubType = 0, sal_uInt32 nFmt = 0);
 
 	void ChangeExpansion( const SwFrm* pFrm );
 
@@ -552,7 +552,7 @@
 public:
 	SwDocInfoFieldType(SwDoc* pDc);
 
-	String					Expand(USHORT nSubType, ULONG nFormat, USHORT nLang) const;
+	String					Expand(USHORT nSubType, sal_uInt32 nFormat, USHORT nLang) const;
  	virtual SwFieldType*    Copy() const;
 };
 
@@ -562,7 +562,7 @@
 	String  aContent;
 
 public:
-	SwDocInfoField(SwDocInfoFieldType*, USHORT nSub, ULONG nFmt=0);
+	SwDocInfoField(SwDocInfoFieldType*, USHORT nSub, sal_uInt32 nFmt=0);
 
     virtual void            SetSubType(USHORT);
 	virtual USHORT	 		GetSubType() const;
@@ -590,7 +590,7 @@
 	inline const String& 	GetData() const					{ return aData; }
 	inline void			 	SetData(const String& rStr)		{ aData = rStr; }
 
-	String					Expand(USHORT nSubType, ULONG nFormat) const;
+	String					Expand(USHORT nSubType, sal_uInt32 nFormat) const;
 	virtual SwFieldType*    Copy() const;
 };
 
@@ -600,7 +600,7 @@
 	USHORT 	nType;
 
 public:
-	SwExtUserField(SwExtUserFieldType*, USHORT nSub, ULONG nFmt=0);
+	SwExtUserField(SwExtUserFieldType*, USHORT nSub, sal_uInt32 nFmt=0);
 
 	virtual String		Expand() const;
 	virtual SwField*	Copy() const;
@@ -690,7 +690,7 @@
 {
 	String sTxt;
 public:
-	SwRefPageGetField( SwRefPageGetFieldType*, ULONG nFmt );
+	SwRefPageGetField( SwRefPageGetFieldType*, sal_uInt32 nFmt );
 
 	virtual String		Expand() const;
     virtual SwField*    Copy() const;
@@ -726,7 +726,7 @@
 {
 	String sTxt, sHelp;
 public:
-	SwJumpEditField( SwJumpEditFieldType*, ULONG nFormat,
+	SwJumpEditField( SwJumpEditFieldType*, sal_uInt32 nFormat,
 					const String& sText, const String& sHelp );
 
 	virtual String		Expand() const;
Index: inc/bf_sw/fldbas.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sw/fldbas.hxx,v
retrieving revision 1.7
retrieving revision 1.7.10.1
diff -u -r1.7 -r1.7.10.1
--- inc/bf_sw/fldbas.hxx	7 Apr 2006 13:42:59 -0000	1.7
+++ inc/bf_sw/fldbas.hxx	27 Apr 2006 14:44:05 -0000	1.7.10.1
@@ -267,11 +267,11 @@
 	Beschreibung: Allgemeine Tools
  --------------------------------------------------------------------*/
 
-String	GetResult(double nVal, ULONG nNumFmt, USHORT nLang = LANGUAGE_SYSTEM);
+String	GetResult(double nVal, sal_uInt32 nNumFmt, USHORT nLang = LANGUAGE_SYSTEM);
 void    SetErrorStr(const String& rStr);
 //String	ExpandDate(const Date& rDate, ULONG nFmt, USHORT nLang);
 //String 	ExpandTime(const Time& rTime, ULONG nFmt, USHORT nLang);
-String  FormatNumber(USHORT nNum, ULONG nFormat);
+String  FormatNumber(USHORT nNum, sal_uInt32 nFormat);
 
 /*--------------------------------------------------------------------
 	Beschreibung: 	Instanzen von SwFields und Abgeleiteten kommen 0-n mal vor.
@@ -330,13 +330,13 @@
 {
 	USHORT				nLang;	// Immer ueber SetLanguage aendern!
     BOOL                bIsAutomaticLanguage;
-	ULONG 				nFormat;
+	sal_uInt32			nFormat;
 
 	SwFieldType* 		pType;
 protected:
-	void				SetFormat(ULONG nSet) {nFormat = nSet;}
+	void				SetFormat(sal_uInt32 nSet) {nFormat = nSet;}
 
-	SwField(SwFieldType* pTyp, ULONG nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM);
+	SwField(SwFieldType* pTyp, sal_uInt32 nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM);
 public:
 	virtual 			~SwField();
 
@@ -372,13 +372,13 @@
 	virtual void		SetLanguage(USHORT nLng);
 
 	// Parameter fuer Dialog und BASIC erfragen
-	inline ULONG		GetFormat() const;
+	inline sal_uInt32 GetFormat() const;
 	virtual const String& GetPar1() const;
 	virtual String		GetPar2() 	const;
 
 	virtual String		GetFormula() const;
 
-	virtual void  		ChangeFormat(ULONG n);
+	virtual void  		ChangeFormat(sal_uInt32 n);
     virtual void        SetPar1(const String& rStr);
     virtual void        SetPar2(const String& rStr);
 
@@ -396,7 +396,7 @@
 inline SwFieldType*	SwField::GetTyp() const
 	{ return pType; 	}
 
-inline ULONG SwField::GetFormat() const
+inline sal_uInt32 SwField::GetFormat() const
 	{ return nFormat; 	}
 
 inline USHORT SwField::GetLanguage() const
@@ -423,7 +423,7 @@
 	inline BOOL		UseFormat() const					{ return bUseFormat; }
 	inline void		EnableFormat(BOOL bFormat = TRUE)	{ bUseFormat = bFormat; }
 
-	String			ExpandValue(const double& rVal, ULONG nFmt, USHORT nLng=0) const;
+	String			ExpandValue(const double& rVal, sal_uInt32 nFmt, USHORT nLng=0) const;
 	void			DoubleToString(String &rValue, const double &rVal, LanguageType eLng) const;
 //STRIP001 	void			DoubleToString(String &rValue, const double &rVal, ULONG nFmt) const;
 };
@@ -434,7 +434,7 @@
 //	String sExpand;
 
 protected:
-	SwValueField( SwValueFieldType* pFldType, ULONG nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM, const double fVal = 0.0 );
+	SwValueField( SwValueFieldType* pFldType, sal_uInt32 nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM, const double fVal = 0.0 );
 //STRIP001 	SwValueField( const SwValueField& rFld );
 
 public:
@@ -450,7 +450,7 @@
 	virtual double			GetValue() const;
 	virtual void 			SetValue( const double& rVal );
 
-	inline String	ExpandValue(const double& rVal, ULONG nFmt, USHORT nLng=0) const
+	inline String	ExpandValue(const double& rVal, sal_uInt32 nFmt, USHORT nLng=0) const
 		{ return ((SwValueFieldType*)GetTyp())->ExpandValue(rVal, nFmt, nLng); }
 
 //STRIP001 	static ULONG			GetSystemFormat(SvNumberFormatter* pFormatter, ULONG nFmt);
@@ -461,7 +461,7 @@
 	String sFormula;
 
 protected:
-	SwFormulaField( SwValueFieldType* pFldType, ULONG nFmt = 0, const double fVal = 0.0 );
+	SwFormulaField( SwValueFieldType* pFldType, sal_uInt32 nFmt = 0, const double fVal = 0.0 );
 //STRIP001 	SwFormulaField( const SwFormulaField& rFld );
 
 public:
Index: inc/bf_sw/usrfld.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_sw/usrfld.hxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- inc/bf_sw/usrfld.hxx	9 Sep 2005 16:49:18 -0000	1.4
+++ inc/bf_sw/usrfld.hxx	27 Apr 2006 14:44:05 -0000	1.4.72.1
@@ -62,10 +62,10 @@
 	virtual const String&	GetName() const;
 	virtual SwFieldType*	Copy() const;
 
-	String					Expand(ULONG nFmt, USHORT nSubType, USHORT nLng);
+	String					Expand(sal_uInt32 nFmt, USHORT nSubType, USHORT nLng);
 
-	String					GetContent( ULONG nFmt = 0 );
-		   void				SetContent( const String& rStr, ULONG nFmt = 0 );
+	String					GetContent( sal_uInt32 nFmt = 0 );
+		   void				SetContent( const String& rStr, sal_uInt32 nFmt = 0 );
 //STRIP001 		   void				CtrlSetContent( const String& rStr );
 
 	inline BOOL 			IsValid() const;
@@ -117,7 +117,7 @@
 	USHORT  nSubType;
 
 public:
-	SwUserField(SwUserFieldType*, USHORT nSub = 0, ULONG nFmt = 0);
+	SwUserField(SwUserFieldType*, USHORT nSub = 0, sal_uInt32 nFmt = 0);
 
 	virtual USHORT	 		GetSubType() const;
 	virtual void	 		SetSubType(USHORT nSub);
Index: inc/bf_xmloff/xmlehelp.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_xmloff/xmlehelp.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- inc/bf_xmloff/xmlehelp.hxx	9 Sep 2005 17:38:19 -0000	1.3
+++ inc/bf_xmloff/xmlehelp.hxx	28 Apr 2006 08:58:43 -0000	1.3.72.1
@@ -46,10 +46,10 @@
 class SvXMLExportHelper
 {
 public:
-	static void AddLength( long nValue, MapUnit eValueUnit,
+	static void AddLength( sal_Int32 nValue, MapUnit eValueUnit,
 						   ::rtl::OUStringBuffer& rOut,
 						   MapUnit eOutUnit );
-	static void AddPercentage( long nVal, ::rtl::OUStringBuffer& rOut );
+	static void AddPercentage( sal_Int32 nVal, ::rtl::OUStringBuffer& rOut );
 	static double GetConversionFactor(::rtl::OUStringBuffer& rUnit, 
 		const MapUnit eCoreUnit, const MapUnit eDestUnit);
 	static MapUnit GetUnitFromString(const ::rtl::OUString& rString, 
Index: inc/bf_xmloff/xmluconv.hxx
===================================================================
RCS file: /cvs/framework/binfilter/inc/bf_xmloff/xmluconv.hxx,v
retrieving revision 1.3
retrieving revision 1.3.70.1
diff -u -r1.3 -r1.3.70.1
--- inc/bf_xmloff/xmluconv.hxx	9 Sep 2005 17:45:40 -0000	1.3
+++ inc/bf_xmloff/xmluconv.hxx	28 Apr 2006 08:58:43 -0000	1.3.70.1
@@ -165,8 +165,8 @@
 	/** convert string to measure using optional min and max values*/
 	sal_Bool convertMeasure( sal_Int32& rValue,
 						 const ::rtl::OUString& rString,
-						 sal_Int32 nMin = LONG_MIN,
-						 sal_Int32 nMax = LONG_MAX ) const;
+						 sal_Int32 nMin = SAL_MIN_INT32,
+						 sal_Int32 nMax = SAL_MAX_INT32 ) const;
 
 	/** convert measure to string */
 	void convertMeasure( ::rtl::OUStringBuffer& rBuffer,
@@ -182,8 +182,8 @@
 	static sal_Bool convertMeasure( sal_Int32& rVal,
 								const ::rtl::OUString& rString,
 								MapUnit eDstUnit,
-								sal_Int32 nMin = LONG_MIN,
-								sal_Int32 nMax = LONG_MAX );
+								sal_Int32 nMin = SAL_MIN_INT32,
+								sal_Int32 nMax = SAL_MAX_INT32 );
 
 	/** convert measure in given unit to string with given unit */
 	static void convertMeasure( ::rtl::OUStringBuffer& rBuffer,
@@ -261,8 +261,8 @@
 	/** convert string to number with optional min and max values */
 	static sal_Bool convertNumber( sal_Int32& rValue,
 							   const ::rtl::OUString& rString,
-							   sal_Int32 nMin = LONG_MIN,
-							   sal_Int32 nMax = LONG_MAX );
+							   sal_Int32 nMin = SAL_MIN_INT32,
+							   sal_Int32 nMax = SAL_MAX_INT32 );
 
 	/** convert double number to string (using ::rtl::math) and DO
 		convert to export MapUnit */
